Permalink
Browse files

Switch to bundler 1.0 and specify v1.3.x RSpec

- fix broken spec task
  • Loading branch information...
1 parent 85074fb commit 0d0ae0b572aeb56e97dda37a606286b74415194b @leshill committed Nov 24, 2010
Showing with 51 additions and 6 deletions.
  1. +1 −3 Gemfile
  2. +49 −0 Gemfile.lock
  3. +1 −3 Rakefile
View
@@ -1,5 +1,3 @@
source :rubygems
-gem "jeweler", ">= 1.4.0"
-gem "resque", ">= 1.6.0"
-gem "rspec", ">= 1.3.0"
+gemspec
View
@@ -0,0 +1,49 @@
+PATH
+ remote: .
+ specs:
+ resque_spec (0.2.0)
+ resque (>= 1.6.0)
+
+GEM
+ remote: http://rubygems.org/
+ specs:
+ diff-lcs (1.1.2)
+ git (1.2.5)
+ jeweler (1.5.1)
+ bundler (~> 1.0.0)
+ git (>= 1.2.5)
+ rake
+ json (1.4.6)
+ rack (1.2.1)
+ rake (0.8.7)
+ redis (2.1.1)
+ redis-namespace (0.8.0)
+ redis (< 3.0.0)
+ resque (1.10.0)
+ json (~> 1.4.6)
+ redis-namespace (~> 0.8.0)
+ sinatra (>= 0.9.2)
+ vegas (~> 0.1.2)
+ rspec (2.1.0)
+ rspec-core (~> 2.1.0)
+ rspec-expectations (~> 2.1.0)
+ rspec-mocks (~> 2.1.0)
+ rspec-core (2.1.0)
+ rspec-expectations (2.1.0)
+ diff-lcs (~> 1.1.2)
+ rspec-mocks (2.1.0)
+ sinatra (1.1.0)
+ rack (~> 1.1)
+ tilt (~> 1.1)
+ tilt (1.1)
+ vegas (0.1.8)
+ rack (>= 1.0.0)
+
+PLATFORMS
+ ruby
+
+DEPENDENCIES
+ jeweler (>= 1.4.0)
+ resque (>= 1.6.0)
+ resque_spec!
+ rspec (>= 1.3.0)
View
@@ -12,7 +12,7 @@ begin
gem.authors = ["Les Hill"]
gem.add_dependency "resque", ">= 1.6.0"
gem.add_development_dependency "jeweler", ">= 1.4.0"
- gem.add_development_dependency "rspec", ">= 1.3.0"
+ gem.add_development_dependency "rspec", "~> 1.3.0"
end
Jeweler::GemcutterTasks.new
rescue LoadError
@@ -31,8 +31,6 @@ Spec::Rake::SpecTask.new(:rcov) do |spec|
spec.rcov = true
end
-task :spec => :check_dependencies
-
task :default => :spec
require 'rake/rdoctask'

0 comments on commit 0d0ae0b

Please sign in to comment.